Name:           perl-Getopt-Long-Descriptive
Summary:        Getopt::Long with usage text
Version:        0.084
Release:        1%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Getopt-Long-Descriptive-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/Getopt-Long-Descriptive/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Getopt::Long) >= 2.33
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Params::Validate) >= 0.74
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)

Requires:       perl(Getopt::Long) >= 2.33
Requires:       perl(List::Util)
Requires:       perl(Params::Validate) >= 0.74
Requires:       perl(Sub::Exporter)


%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
Convenient wrapper for Getopt::Long and program usage output.

%prep
%setup -q -n Getopt-Long-Descriptive-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Feb 27 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.084-1
- update by Fedora::App::MaintainerTools 0.004
- PERL_INSTALL_ROOT => DESTDIR
- added a new br on perl(Getopt::Long) (version 2.33)
- dropped old BR on perl(IO::Scalar)
- dropped old BR on perl(Test::Pod::Coverage)
- added a new req on perl(Getopt::Long) (version 2.33)
- dropped old requires on perl(IO::Scalar)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.077-2
- rebuild against perl 5.10.1

* Sun Aug 23 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.077-1
- auto-update to 0.077 (by cpan-spec-update 0.01)
- added a new br on perl(List::Util) (version 0)
- added a new br on perl(Sub::Exporter) (version 0)
- added a new req on perl(List::Util) (version 0)
- added a new req on perl(Params::Validate) (version 0.74)
- added a new req on perl(Sub::Exporter) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.074-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.074-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 09 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.074-2
- bump

* Tue Jul 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.074-1
- Specfile autogenerated by cpanspec 1.74.
